Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453085 - cannot switch from scim to gcin
Summary: cannot switch from scim to gcin
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcin
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Chung-Yen Chang
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-27 07:15 UTC by Caius Chance
Modified: 2008-07-02 06:35 UTC (History)
3 users (show)

Fixed In Version: 1.4.2-2.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-02 06:35:25 UTC


Attachments (Terms of Use)

Description Caius Chance 2008-06-27 07:15:13 UTC
Description of problem:
SCIM should not be hardcoded in /etc/X11/xinit/xinitrc. It avoids other IME
frameworks such as gcin to be started as default.

Version-Release number of selected component (if applicable):
xorg-x11-xinit-1.0.7-6.fc9.i386

How reproducible:
Always.

Steps to Reproduce:
0. install chinese support and gcin.
1. login gnome desktop.
2. choose gcin in im-chooser.
3. logout and login again.
4. check results.
  
Actual results:
scim is started as the only IME framework still.

Expected results:
gcin should be started as the only IME framework.

Additional info:
Filed on behalf of candyz, contactable on IRC 'candyz', #gcin, irc.freenode.net

in %post, this command returned error:

%{_sbindir}/alternatives --install %{_sysconfdir}/X11/xinit/xinputrc xinputrc
%{_sysconfdir}/X11/xinit/xinput.d/gcin.conf 40

Comment 1 Jens Petersen 2008-06-27 07:30:18 UTC
(In reply to comment #0)
> SCIM should not be hardcoded in /etc/X11/xinit/xinitrc.

It is not.  Maybe you're referring to /etc/X11/xinit/xinputrc
which is an alternatives symlink.

> in %post, this command returned error:
> %{_sbindir}/alternatives --install %{_sysconfdir}/X11/xinit/xinputrc xinputrc
> %{_sysconfdir}/X11/xinit/xinput.d/gcin.conf 40

What is the error?


Comment 2 Chung-Yen Chang 2008-06-27 07:59:21 UTC
# imsettings-stop
OK

# imsettings-start gcin

(imsettings-start:5925): IMSettings-WARNING **: Failed to invoke a method `StartIM':
  Failed to execute child process "gcin" (No such file or directory)
Failed to start IM process `gcin'



Comment 3 Jens Petersen 2008-06-27 08:03:10 UTC
Please update gcin.conf to use a full path for the program.

Comment 4 Fedora Update System 2008-06-27 08:36:53 UTC
gcin-1.4.2-2.fc9 has been submitted as an update for Fedora 9

Comment 5 Fedora Update System 2008-06-28 22:14:46 UTC
gcin-1.4.2-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gcin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5783

Comment 6 Caius Chance 2008-06-29 22:35:14 UTC
im-chooser does its job on my Fedora 9 with the following version:

$ rpm -q gcin; rpm -q scim
gcin-1.4.1-1.fc9.i386
scim-1.4.7-23.fc9.i386

Comment 7 Fedora Update System 2008-07-02 06:35:20 UTC
gcin-1.4.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.